﻿@model IEnumerable<EnergyMission.Domain.Entities.SensorEntity>


@using EnergyMission
<script>

    function OnDeleteClick(Id, TeamId) {

        if (confirm("Are you sure you want to delete  ? ")) {
            $.ajax({
                type: "Get",
                url: "/ClientTeams/DeleteTeamSensorMappling?id=" + Id + "&TeamId=" + TeamId,

                contentType: "application/json;charset=utf-8",
                success: function (data) {
                    $("#Ts").html(data);
                },
                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });
        }
        else {
            return false;
        }
    }

</script>

@Html.DevExpress().GridView(settings =>
{
    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingsTeamsSensor", "Sensor", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    settings.SettingsPager.Mode = GridViewPagerMode.ShowAllRecords;  
    settings.Settings.ShowFilterRow = true;
    settings.Columns.Add("Name");
    settings.Columns.Add("DataFeed");
    settings.Columns.Add("SensorType");


    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";

        column.SetDataItemTemplateContent(c =>
        {


            var id = DataBinder.Eval(c.DataItem, "ID");
            var TeamId = DataBinder.Eval(c.DataItem, "TeamId");

            ViewContext.Writer.Write(String.Format("<span class='Add'> <a onclick=\"OnDeleteClick(" + id + "," + TeamId + ");\" id='addcoloum'> Remove </a> </span>"));


        });

    });

}).Bind(Model).GetHtml()
